Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

potential fix for GH-81

  • Loading branch information...
commit be968e3ce35ce282dd92f33b44dbf9a424bd1328 1 parent 7468616
@buzztroll buzztroll authored
View
5 lantorrent/pylantorrent/client.py
@@ -122,7 +122,10 @@ def check_sum(self):
raise Exception("There was data corruption in the chain")
def get_incomplete(self):
- self.process_incoming_data()
+ try:
+ self.process_incoming_data()
+ except Exception, ex:
+ pylantorrent.log(logging.ERROR, "An error occurred while trying to process the data received so far: %s" % (str(ex)), traceback)
return self.dest
View
4 lantorrent/pylantorrent/daemon.py
@@ -113,7 +113,7 @@ def do_it_live(con, rows):
try:
v.store_and_forward()
except Exception, ex:
- pylantorrent.log(logging.ERROR, "an error occured on store and forward: %s" % (str(ex)))
+ pylantorrent.log(logging.ERROR, "an error occured on store and forward: %s" % (str(ex)), traceback)
rc = 0
es = client.get_incomplete()
bad_rid = []
@@ -170,7 +170,7 @@ def main(argv=sys.argv[1:]):
else:
time.sleep(5)
except Exception, ex:
- pylantorrent.log(logging.ERROR, "top level error %s" % (str(ex)))
+ pylantorrent.log(logging.ERROR, "top level error %s" % (str(ex)), traceback)
con = sqlite3.connect(con_str, detect_types=sqlite3.PARSE_DECLTYPES|sqlite3.PARSE_COLNAMES)
return 0
Please sign in to comment.
Something went wrong with that request. Please try again.